Bug 1261063 - Review Request: perl-File-Slurper - Simple, sane and efficient module to slurp a file
Review Request: perl-File-Slurper - Simple, sane and efficient module to slur...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 09:55 EDT by Petr Šabata
Modified: 2015-11-25 11:09 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-File-Slurper-0.008-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 11:09:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-09-08 09:55:00 EDT
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-File-Slurper/perl-File-Slurper.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-File-Slurper/perl-File-Slurper-0.008-1.fc22.src.rpm
Description:
This module provides functions for fast and correct slurping and spewing.
All functions are optionally exported.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2015-09-08 11:10:44 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-File-Slurper-0.008-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(Exporter) >= 5.57
      1 perl(constant)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-File-Slurper-0.008-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(File::Slurper) = 0.008
      1 perl-File-Slurper = 0.008-1.fc24
Binary provides are Ok.

$ rpmlint perl-File-Slurper*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

Package looks good.
APPROVED.
Comment 2 Petr Šabata 2015-09-08 11:18:28 EDT
New Package SCM Request
=======================
Package Name: perl-File-Slurper
Short Description: Simple, sane and efficient module to slurp a file
Upstream URL: http://search.cpan.org/dist/File-Slurper/
Owners: psabata jplesnik ppisar
Branches: f22 f23
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2015-09-09 08:54:00 EDT
Git done (by process-git-requests).
Comment 4 Petr Šabata 2015-09-09 09:13:59 EDT
Thanks.
Comment 5 Fedora Update System 2015-09-09 09:28:04 EDT
perl-File-Slurper-0.008-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15453
Comment 6 Fedora Update System 2015-09-09 22:07:29 EDT
perl-File-Slurper-0.008-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-File-Slurper'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15452
Comment 7 Fedora Update System 2015-09-10 01:51:32 EDT
perl-File-Slurper-0.008-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update perl-File-Slurper'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15453
Comment 8 Fedora Update System 2015-09-18 14:30:43 EDT
perl-File-Slurper-0.008-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-03 17:18:02 EDT
perl-File-Slurper-0.008-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.